ServletRenderContext (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.grails.plugins.web.rest.render
[Groovy] Class ServletRenderContext

    java.lang.Object
      grails.rest.render.AbstractRenderContext
          org.grails.plugins.web.rest.render.ServletRenderContext

    @groovy.transform.CompileStatic
    class ServletRenderContext
    extends AbstractRenderContext

RenderContext for the servlet environment

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`java.util.Map` | `arguments`
`ResponseMimeTypesApi` | `responseMimeTypesApi`
`GrailsWebRequest` | `webRequest`

Constructor Summary
`ServletRenderContext(GrailsWebRequest webRequest)`
`ServletRenderContext(GrailsWebRequest webRequest, java.util.Map arguments)`

Method Summary
`MimeType` | `getAcceptMimeType()`
`java.lang.String` | `getActionName()`
`java.lang.String` | `getControllerName()`
`org.springframework.http.HttpMethod` | `getHttpMethod()`
`java.util.Locale` | `getLocale()`
`protected org.springframework.web.servlet.ModelAndView` | `getModelAndView()`
`java.lang.String` | `getResourcePath()`
`java.lang.String` | `getViewName()`
`java.io.Writer` | `getWriter()`
`void` | `setContentType(java.lang.String contentType)`
`void` | `setModel(java.util.Map model)`
`void` | `setResourcePath(java.lang.String resourcePath)`
`void` | `setStatus(org.springframework.http.HttpStatus status)`
`void` | `setViewName(java.lang.String viewName)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### arguments

    java.util.Map arguments

### responseMimeTypesApi

    ResponseMimeTypesApi responseMimeTypesApi

### webRequest

    GrailsWebRequest webRequest

Constructor Detail

### ServletRenderContext

    ServletRenderContext(GrailsWebRequest webRequest)

### ServletRenderContext

    ServletRenderContext(GrailsWebRequest webRequest, java.util.Map arguments)

Method Detail

### getAcceptMimeType

    @java.lang.Override
    @groovy.transform.CompileStatic(TypeCheckingMode.SKIP)
    MimeType getAcceptMimeType()

### getActionName

    @java.lang.Override
    java.lang.String getActionName()

### getControllerName

    @java.lang.Override
    java.lang.String getControllerName()

### getHttpMethod

    @java.lang.Override
    org.springframework.http.HttpMethod getHttpMethod()

### getLocale

    @java.lang.Override
    java.util.Locale getLocale()

### getModelAndView

    protected org.springframework.web.servlet.ModelAndView getModelAndView()

### getResourcePath

    @java.lang.Override
    java.lang.String getResourcePath()

### getViewName

    @java.lang.Override
    java.lang.String getViewName()

### getWriter

    @java.lang.Override
    java.io.Writer getWriter()

### setContentType

    @java.lang.Override
    void setContentType(java.lang.String contentType)

### setModel

    @java.lang.Override
    void setModel(java.util.Map model)

### setResourcePath

    void setResourcePath(java.lang.String resourcePath)

### setStatus

    @java.lang.Override
    void setStatus(org.springframework.http.HttpStatus status)

### setViewName

    @java.lang.Override
    void setViewName(java.lang.String viewName)

Groovy Documentation